/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#ifndef _GCM_XORG_CONFIG_SYMBOL_H
#define _GCM_XORG_CONFIG_SYMBOL_H

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct  {
  guint token;
  gchar * name;
} GCMXorgConfigSymbol;

enum 
{
	GCM_XORG_CONFIG_TOKEN_SECTION = G_TOKEN_LAST + 1,
	GCM_XORG_CONFIG_TOKEN_END_SECTION,
	GCM_XORG_CONFIG_TOKEN_FONTPATH,
	GCM_XORG_CONFIG_TOKEN_IDENTIFIER,
	GCM_XORG_CONFIG_TOKEN_DRIVER,
	GCM_XORG_CONFIG_TOKEN_LAST
};

extern GCMXorgConfigSymbol GCMXorgConfigToken[];
	
#ifdef __cplusplus
}
#endif

#endif /* _GCM_XORG_CONFIG_SYMBOL_H */

 
